/*
** Module   : ErrorWriter.java
** Abstract : Iterface for writer objects that display the error messages.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 EVL 20131119 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * Interface decribing the error messages outputs.
 */
public interface ErrorWriter
{
   public void displayError(String errmsg);
   
   public void message(String errmsg);
   
   public void messageBox(String masterMsg, String title);

   public void pause();
}
